## ros-iron-ros-image-to-qimage 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(ros_image_to_qimage)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(python_qt_binding REQUIRED)
find_package(ament_cmake_pytest REQUIRED)

add_library(ros_image_to_qimage src/ros_image_to_qimage.cpp)
target_include_directories(ros_image_to_qimage PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(ros_image_to_qimage
  sensor_msgs
  Qt5Widgets
  cv_bridge)

install(
  DIRECTORY include/
  DESTINATION include
)
install(
  TARGETS ros_image_to_qimage
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
ament_python_install_package(${PROJECT_NAME})

ament_export_include_directories(
  include
)
ament_export_libraries(
  ros_image_to_qimage
)
ament_export_dependencies(Qt5Widgets)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(cv_bridge)
ament_export_dependencies(python_qt_binding)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== test/CMakeLists.txt ===
# C++
ament_add_gtest(test_ros_image_to_qimage_cpp test_ros_image_to_qimage.cpp)
target_link_libraries(test_ros_image_to_qimage_cpp ros_image_to_qimage)

# Python
ament_add_pytest_test(test_ros_image_to_qimage_py test_ros_image_to_qimage.py)

=== debian/changelog ===
ros-iron-ros-image-to-qimage (0.4.1-3jammy) jammy; urgency=high

  * Change #include cv_bridge.h to cv_bridge.hpp in ros_image_to_qimage.hpp (#27 <https://github.com/ros-sports/ros_image_to_qimage/issues/27>, #28 <https://github.com/ros-sports/ros_image_to_qimage/issues/28>)
  * Change python_qt_binding from exec_depend to depend, because it is being used in CMakeLists.txt. (#25 <https://github.com/ros-sports/ros_image_to_qimage/issues/25>)
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Wed, 28 Sep 2022 16:00:00 -0000

ros-iron-ros-image-to-qimage (0.4.0-3jammy) jammy; urgency=high

  * Ensure bgr8 gets converted to rgb8 (#21 <https://github.com/ros-sports/ros_image_to_qimage/issues/21>)
  * Add functionality to convert mono colors too (#18 <https://github.com/ros-sports/ros_image_to_qimage/issues/18>)
  * Add tests for cpp (#13 <https://github.com/ros-sports/ros_image_to_qimage/issues/13>)
  * Add python API (#5 <https://github.com/ros-sports/ros_image_to_qimage/issues/5>)
  * Fix README.md (#4 <https://github.com/ros-sports/ros_image_to_qimage/issues/4>)
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Sun, 25 Sep 2022 16:00:00 -0000

ros-iron-ros-image-to-qimage (0.3.0-3jammy) jammy; urgency=high

  * update readme
  * update ci
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Tue, 14 Jun 2022 16:00:00 -0000

ros-iron-ros-image-to-qimage (0.0.2-3jammy) jammy; urgency=high

  * fill package.xml with correct description and license tag
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 06 Jan 2022 16:00:00 -0000

ros-iron-ros-image-to-qimage (0.0.1-3jammy) jammy; urgency=high

  * implemented ros_image_to_qimage package
  * Contributors: Kenji Brameld, ijnek

 -- ijnek <kenjibrameld@gmail.com>  Wed, 05 Jan 2022 16:00:00 -0000

=== debian/control ===
Source: ros-iron-ros-image-to-qimage
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest, ros-iron-ament-cmake-python, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-cv-bridge, ros-iron-python-qt-binding, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-ros-image-to-qimage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-iron-cv-bridge, ros-iron-python-qt-binding, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: A package that converts a ros image msg to a qimage object

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-ros-image-to-qimage//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
